Storyden
Invitations

Invitation Create

Create an invitation for the authenticated account. Responds with the invitation data which can be used to construct a public vendor-specific registration URL using the invitation's identifier which can be used in calls to registration operations to indicate the account was invited.

POST
/invitations

Create an invitation for the authenticated account. Responds with the invitation data which can be used to construct a public vendor-specific registration URL using the invitation's identifier which can be used in calls to registration operations to indicate the account was invited.

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body
message?string

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

creator*

A minimal reference to an account.

message?string
Example Request
curl -X POST 'https://example.com/api/invitations' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "creator": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "message": "string"}